import type { Enum } from '../../../client/interfaces/Enum';
import type { WithEnumExtension } from '../interfaces/Extensions/WithEnumExtension';
/**
 * Extend the enum with the x-enum properties. This adds the capability
 * to use names and descriptions inside the generated enums.
 * @param enumerators
 * @param definition
 */
export declare const extendEnum: (enumerators: Enum[], definition: WithEnumExtension) => Enum[];
//# sourceMappingURL=extendEnum.d.ts.map